Subject: Re: [PATCH mlx5-next v1 1/4] {IB/net}/mlx5: Simplify don't trap code

From: Jason Gunthorpe <[email-masked]>
Date: Tue, 12 May 2020 17:14:03 -0300

On Sun, May 10, 2020 at 11:17:14AM +0300, Leon Romanovsky wrote:
> On Fri, May 08, 2020 at 04:58:38PM -0300, Jason Gunthorpe wrote:
> > On Mon, May 04, 2020 at 08:30:09AM +0300, Leon Romanovsky wrote:
> > > +	flow_act->action &=
> > > +		~MLX5_FLOW_CONTEXT_ACTION_FWD_NEXT_PRIO;
> > > +	flow_act->action |= MLX5_FLOW_CONTEXT_ACTION_FWD_DEST;
> > > +	handle = _mlx5_add_flow_rules(ft, spec, flow_act, dest, num_dest);
> > > +	if (IS_ERR_OR_NULL(handle))
> > > +		goto unlock;
> >
> > I never like seeing IS_ERR_OR_NULL()..
> >
> > In this case I see callers of mlx5_add_flow_rules() that crash if it
> > returns NULL, so this can't be right.
> >
> > Also, I don't see an obvious place where _mlx5_add_flow_rules()
> > returns NULL, does it?
> 
> You are right, I'll replace this IS_ERR_OR_NULL() to be IS_ERR() once
> will take it to mlx5-next.
> 
> Is it ok?

Okay, looks fine, let me know the shared branch commit

Jason